=== debian/changelog ===
ros-kinetic-pr2-dense-laser-snapshotter (1.0.11-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 07:00:00 -0000

ros-kinetic-pr2-dense-laser-snapshotter (1.0.10-0xenial) xenial; urgency=high

  * updated maintainer; fixed cmake warnings; fixed compiler warnings
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 22 Mar 2018 07:00:00 -0000

ros-kinetic-pr2-dense-laser-snapshotter (1.0.7-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 06 Feb 2015 08:00:00 -0000

ros-kinetic-pr2-dense-laser-snapshotter (1.0.6-0xenial) xenial; urgency=high

  * Changelogs
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 04 Dec 2014 08:00:00 -0000

ros-kinetic-pr2-dense-laser-snapshotter (1.0.5-0xenial) xenial; urgency=high

  * Removed mainpage.dox for *
  * Fixed pr2_dense_laser_snapshotter
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Oct 2014 07:00:00 -0000

ros-kinetic-pr2-dense-laser-snapshotter (1.0.4-0xenial) xenial; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 17 Sep 2014 07:00:00 -0000

ros-kinetic-pr2-dense-laser-snapshotter (1.0.3-0xenial) xenial; urgency=high

  * Added lib export for pr2_laser_snapshotter
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 11 Sep 2014 07:00:00 -0000

ros-kinetic-pr2-dense-laser-snapshotter (1.0.1-0xenial) xenial; urgency=high

  * Added hydro devel, compiles and makes in hydro
  * removedc makefil
  * catkinization of pr2_dense_laser_snapshotter
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 08 Sep 2014 07:00:00 -0000
